/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomSQLResultSetRowList_H__
#define __GdomSQLResultSetRowList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomSQLResultSetRowList GdomSQLResultSetRowList;
typedef struct _GdomSQLResultSetRowListClass GdomSQLResultSetRowListClass;


#define GDOM_TYPE_SQL_RESULT_SET_ROW_LIST            (gdom_sql_result_set_row_list_get_type())
#define GDOM_SQL_RESULT_SET_ROW_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_SQL_RESULT_SET_ROW_LIST, GdomSQLResultSetRowList))
#define GDOM_SQL_RESULT_SET_ROW_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_SQL_RESULT_SET_ROW_LIST, GdomSQLResultSetRowList)Class)
#define GDOM_IS_SQL_RESULT_SET_ROW_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_SQL_RESULT_SET_ROW_LIST))
#define GDOM_IS_SQL_RESULT_SET_ROW_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_SQL_RESULT_SET_ROW_LIST))
#define GDOM_SQL_RESULT_SET_ROW_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_SQL_RESULT_SET_ROW_LIST, GdomSQLResultSetRowListClass))

typedef struct _GdomSQLResultSetRowListPrivate GdomSQLResultSetRowListPrivate;

struct _GdomSQLResultSetRowList {
    GdomDOMObject parent_instance;
    GdomSQLResultSetRowListPrivate *priv;
};

struct _GdomSQLResultSetRowListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_sql_result_set_row_list_get_type (void);


/* XXX TODO: custom function gdom_sql_result_set_row_list_item */

G_END_DECLS

#endif /* __GdomSQLResultSetRowList_H__ */
